Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  fillet von parallelen ohne halbkreis

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   fillet von parallelen ohne halbkreis (479 mal gelesen)
don max
Mitglied
architekt


Sehen Sie sich das Profil von don max an!   Senden Sie eine Private Message an don max  Schreiben Sie einen Gästebucheintrag für don max

Beiträge: 48
Registriert: 23.02.2004

Windows 2000, A-Cad 2000 (spanisch)

erstellt am: 07. Mai. 2004 15:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


filletsspezial.gif

 
hallo allerseits,

ich hab da mal wieder ne frage. ich habe in den unendlichen weiten des internet ein lisp gefunden, welches den befehl fillet mit parallelen linien vornimmt, diese jedoch nicht mit nem halbkreis verbindet, sondern mit ner linie (siehe bildanhang). leider finde ich den fehler nun wirklich ganz und garnicht.

nur so zu info, ich arbeite mit nem spanischen acad, bin also an den internationalen befehlen interessiert, solte es daran liegen.

danke schon mal im voraus
gruss markus

hier der code:

;| 
  C:FILLETPL  Fillets two parallel lines with single line.
              Selection and resultant fillet follows normal
              FILLET 0 convention.

Routine compatible with R12-2000.

AutoLISP Files for Maximizing AutoCAD
Permission to use copy or modify this
program is hereby granted, and is supplied
on an "as is" basis.
 
Developed by SYD Derbyshire - june '96

------------------------------------------------------------------
------------------------------------------------------------------
Modified by J. Tippit, SPAUG President
    E-mail:                    cadpres@spaug.org
    Web Site:                http://www.spaug.org
------------------------------------------------------------------
------------------------------------------------------------------

Revisions:
1.0 Originally created 06/96
1.1 Added UCS and UNDO support 04/12/99
1.2 Added error checking 04/26/99
1.3 Added R12 Undo support 05/05/99
1.4 Added entity unhighlight if cancel 05/10/99

|;

(defun err (s)
  (if (not (member s '("console break" "Function cancelled")))
      (princ (strcat "\nError: " s "\nResetting Variables."))
  )
  (if l1 (redraw (car l1) 4))
  (setvar "OSMODE" osmd)
  (command "_ucs" "_P")
  (command "_undo" "_e")
  (setvar "cmdecho" 1)
  (setq *error* olderr)
  (princ)
)

(defun C:FILLETPL (/ osmd aname bname elay elt eclr
                    l1 l2 a b ang_a newang pt1 pt2 pt3 ptint enl)
  (setq olderr *error* *error* err)
  (setvar "CMDECHO" 1)
  (if (wcmatch (getvar "ACADVER") "*12*")
      (command "_undo" "_g")
      (command "_undo" "_BE")
  )
  (command "_ucs" "")
  (setvar "FILLETRAD" 0)
  (setq osmd (getvar "OSMODE"))
  (setvar "OSMODE" 0)
  (setq dwgsc (getvar "DIMSCALE"))
  (while (not (= aname "LINE"))
      (setq l1 (entsel "\nSelect first line: "))
      (setq pt1 (osnap (cadr l1) "endp"))
      (redraw (car l1) 3)
      (setq a (entget (car l1)))
      (setq aname (cdr (assoc 0 a)))
      (if (not (= aname "LINE"))
        (progn
            (prompt "\nEntity is not a line. ")
            (redraw (car l1) 4)
        )
      )
  )
  (while (not (= bname "LINE"))
      (setq l2 (entsel "\nSelect second line: "))
      (setq b (entget (car l2)))
      (setq bname (cdr (assoc 0 b)))
      (if (not (= bname "LINE"))(prompt "\nEntity is not a line. "))
  )
  (setq elay (cdr (assoc 8 a)))
  (setq elt (cdr (assoc 6 a)))
  (setq eclr (cdr (assoc 62 a)))
  (if (null elt)(setq elt "BYLAYER"))
  (if (null eclr)(setq eclr "BYLAYER"))
  (if (= eclr 0)(setq eclr "BYBLOCK"))
  (redraw (car l1) 4)
  (setq end10_a (cdr (assoc 10 a)))
  (setq end11_a (cdr (assoc 11 a)))
  (setq end10_b (cdr (assoc 10 b)))
  (setq end11_b (cdr (assoc 11 b)))
  (setq ang_a (angle end10_a end11_a))
  (setq newang (- ang_a (/ pi 2)))
  (setq pt3 (polar pt1 newang dwgsc))
  (setq ptint (inters pt1 pt3 end10_b end11_b nil))
  (command "_LINE" pt1 ptint "")
  (setq enl (entlast))
  (command "_CHPROP" enl "" "_LA" elay "_C" eclr "_LT" elt "")
  (command "_fillet" enl l2)
  (setvar "OSMODE" osmd)
  (command "_ucs" "_Prev")
  (command "_undo" "_End")
  (setvar "cmdecho" 1)
  (setq *error* olderr)
  (princ)
)
(prompt "\nType FILLETPL to run.\tVersion 1.4 - Fillet Parallel routine ")
(princ)

--------------------------

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

j-sc
Ehrenmitglied



Sehen Sie sich das Profil von j-sc an!   Senden Sie eine Private Message an j-sc  Schreiben Sie einen Gästebucheintrag für j-sc

Beiträge: 1824
Registriert: 14.07.2003

W7 64Bit
intel core I7 2,8GHz / 4GB
ATI FIRE PRO V5800
acad2011
acad2015
acad2018
Athena
Expresstools

erstellt am: 07. Mai. 2004 15:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für don max 10 Unities + Antwort hilfreich

High
also das Tool funktioniert erstmal (in 'nem deutschen acad) - welche Fehlermeldung kommt denn, bzw. was tut es denn nicht?

------------------
Ciao
J-SC
... geht's vielleicht doch?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tunnelbauer
Ehrenmitglied V.I.P. h.c.
Bauingenieur



Sehen Sie sich das Profil von tunnelbauer an!   Senden Sie eine Private Message an tunnelbauer  Schreiben Sie einen Gästebucheintrag für tunnelbauer

Beiträge: 7085
Registriert: 13.01.2004

Sie nannten ihn google.

erstellt am: 07. Mai. 2004 15:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für don max 10 Unities + Antwort hilfreich

Das Tool funktioniert nur mit Linien und nicht mit Polylinien (getestet AC2005 englisch).

(Check mal: verwendest du PL's oder Linien mit Z-Werten)

------------------
Grüsse

Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

don max
Mitglied
architekt


Sehen Sie sich das Profil von don max an!   Senden Sie eine Private Message an don max  Schreiben Sie einen Gästebucheintrag für don max

Beiträge: 48
Registriert: 23.02.2004

Windows 2000, A-Cad 2000 (spanisch)

erstellt am: 07. Mai. 2004 21:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

also ich habs nochmal ausprobiert in acad2000 spanisch geht es nicht, bei acad 14 funktioniert es hab ich mir sagen lassen. ich hab mal den commandozeilen-text angehängt.

wenn ihr mit dem spanisch probleme habt, dann sagt bescheid.

muchas gracias y hasta pronto

markus

commandozeilen-text:
Comando: FILLETPL _undo Indique el número de operaciones a deshacer o
[Auto/Control/Inicio/Fin/Marca/Retorno] <1>: _BE
Comando: _ucs
Nombre de scp actual:  *UNIVERSAL*
Indique una opción
[Nuevo/DEsplazar/Ortogonal/PRev/Rest/Guardar/Supr/Aplicar/?/Univ] <Univ>:
Comando:
Select first line:
Select second line:
Error: tipo de argumento erróneo: Punto 2D/3D: nil
Resetting Variables._ucs
Comando: _P Comando "P" desconocido. Pulse F1 para obtener ayuda.

Comando: _undo Indique el número de operaciones a deshacer o
[Auto/Control/Inicio/Fin/Marca/Retorno] <1>: _e

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 07. Mai. 2004 22:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für don max 10 Unities + Antwort hilfreich

Das Tool funktioniert auch unter unter AutoCAD 2005 German.
Ich weiss zwar nicht wie der Objektfang
endpoint (endpunkt) im Spanischen übersetzt ist, aber ich glaube das ist das Problem
ersetze im Lisp-Quelltext doch mal
(setq pt1 (osnap (cadr l1) "endp"))
durch
(setq pt1 (osnap (cadr l1) "_endp"))

funktioniert es dann ?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

don max
Mitglied
architekt


Sehen Sie sich das Profil von don max an!   Senden Sie eine Private Message an don max  Schreiben Sie einen Gästebucheintrag für don max

Beiträge: 48
Registriert: 23.02.2004

Windows 2000, A-Cad 2000 (spanisch)

erstellt am: 08. Mai. 2004 17:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von CAD-Huebner:
Das Tool funktioniert auch unter unter AutoCAD 2005 German.
Ich weiss zwar nicht wie der Objektfang
endpoint (endpunkt) im Spanischen übersetzt ist, aber ich glaube das ist das Problem
ersetze im Lisp-Quelltext doch mal
(setq pt1 (osnap (cadr l1) "endp"))
durch
(setq pt1 (osnap (cadr l1) "_endp"))

funktioniert es dann ?


viiiiiiiiiiiiiiiiielen dank!

hat funktioniert, dass es so einfach wird dachte ich nicht, immerhin bin ich es ja schon gewöhnt die deutschen befehle mit nem "_" zu versehen, damit sie funktionieren. nur hier hatte ich scheinbar tomaten auf den augen.

danke nochmal
markus

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernhard GSD
Mitglied



Sehen Sie sich das Profil von Bernhard GSD an!   Senden Sie eine Private Message an Bernhard GSD  Schreiben Sie einen Gästebucheintrag für Bernhard GSD

Beiträge: 439
Registriert: 29.08.2002

AutoCAD 2019(Deu); Windows 10 PRO x64(Deu)

erstellt am: 10. Mai. 2004 13:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für don max 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von don max:

... immerhin bin ich es ja schon gewöhnt die deutschen befehle mit nem "_" zu versehen, damit sie funktionieren....

Du meinst wohl die Englischen Befehle...

------------------
Gruß aus Wien
Bernhard

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Strahlehans
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Strahlehans an!   Senden Sie eine Private Message an Strahlehans  Schreiben Sie einen Gästebucheintrag für Strahlehans

Beiträge: 22
Registriert: 22.04.2004

erstellt am: 10. Mai. 2004 13:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für don max 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von don max:
nur hier hatte ich scheinbar tomaten auf den augen.

Spanische Tomaten? I)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

don max
Mitglied
architekt


Sehen Sie sich das Profil von don max an!   Senden Sie eine Private Message an don max  Schreiben Sie einen Gästebucheintrag für don max

Beiträge: 48
Registriert: 23.02.2004

Windows 2000, A-Cad 2000 (spanisch)

erstellt am: 11. Mai. 2004 21:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Strahlehans:
Spanische Tomaten? I)

tja müssen wohl spanische gewesen sein, holländische sind hier eher selten - tomaten meine ich.

bis dann

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz